*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html {
	font-size: 62.5%;
}

body {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	padding: 2em;
	height: 100vh;
	background-color: #333;
	font-family: 'Roboto';
	color: #fff;
	text-align: center;
}

.img {
	margin-bottom: 1em;
	max-width: 500px;
}

img {
	padding: 1em;
	width: 100%;
	border: 2px solid #fff;
	transition: padding 0.3s;
}

img:hover {
	padding: 0;
}

h1 {
	font-size: 4rem;
}

p {
	margin: 1em 0;
	margin-bottom: 2em;
	font-size: 2rem;
	font-weight: 350;
}

.links {
	display: flex;
	justify-content: center;
	align-items: center;
}

.link {
	margin: 0.5em;
	padding: 1em 2em;
	color: #fff;
	background-color: #20527f;
	border-radius: 2px;
	text-decoration: none;
	font-size: 2rem;
	transition: background-color 0.3s;
}

.link:hover {
	background-color: #3778b1;
}

a {
	margin: 0.5em;
	padding: 1em;

	svg {
		width: 25px;
	}
}

.media {
	position: relative;

	&:hover {
		&::before {
			background: rgba(255, 255, 255, 0.15);
		}
	}
}

.media::before {
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	height: 50px;
	width: 50px;
	background: rgba(255, 255, 255, 0.05);
	border-radius: 16px;
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
	border: 1px solid rgba(255, 255, 255, 0.3);
	z-index: -1;
	transform: translate(-50%, -50%);
	transition: background 0.3s;
}
